Status: Closed

Priority: High

Assignee:

Category: Processing/QGIS

Affected QGIS version:2.18.4 Regression?: Yes

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:Yes Copied to github as #: 22665

Description

new description

Some qgis algs create outputs where the attribute tables have encoding issues. Examples are buffer and dissolve. Maybe others are also

affected (an example that works as expected in "voronoi polygons").

Sample data attached.

old description

Hi,

I'm using QGIS 2.14.1 on Windows 10 through OSGeo4W setup.

I noticed that if I process a vector layer (i.e. UTF-8 encoded geojson) with QGIS algorithm (i.e. crop, Voronoi, etc) through Processing

toolbox, result layer has attribute table with question marks instead expected characters. While if I run the same algorithm through QGIS

menu, result layer is correctly encoded.

I noticed also that this affects GDAL/OGR algorithms, besides QGIS algorithms, while not SAGA algorithms.

For reference I open a question first here: http://gis.stackexchange.com/questions/190137/qgis-algoritms-have-encoding-problems

History

#1 - 2016-04-19 09:38 AM - Anita Graser

- Category set to Processing/QGIS

#2 - 2016-04-19 09:57 AM - Anita Graser

- Priority changed from Normal to High

#3 - 2016-04-26 06:13 AM - Alexander Bruy

Canyou share sample dataset?

#4 - 2016-04-29 01:31 AM - Alexander Bruy

- Status changed from Open to Feedback

#5 - 2016-05-23 08:26 AM - Giovanni Manghi

- Status changed from Feedback to Closed

- Resolution set to not reproducable
http://gis.stackexchange.com/questions/190137/qgis-algoritms-have-encoding-problems


closing for lack of feedback, please reopen if necessary.

#6 - 2016-12-12 01:23 AM - Saber Razmjooei

- Resolution deleted (not reproducable)

- Status changed from Closed to Reopened

- Priority changed from High to Severe/Regression

In my case, the problem was with path.

The bug is present in 2.18 and 2.14.

#7 - 2017-02-28 01:16 PM - Giovanni Manghi

- Operating System deleted (Windows)

- Affected QGIS version changed from 2.14.1 to 2.18.4

- OS version deleted (10)

- File portugal_continental_3763_1.zip added

Saber Razmjooei wrote:

In my case, the problem was with path.

The bug is present in 2.18 and 2.14.

Tested on 2.18.4 on Windows special chars in paths seems to be not an issue for QGIS algs. They are an issue for GDAL/OGR ones (will file a different

ticket).

Encoding problems in outputs do not seem to be a problem with GDAL/OGR algs or with all QGIS algs, but certainly a few QGIS algs are affected, like 

dissolve and buffer (and maybe others).

#8 - 2017-02-28 01:16 PM - Giovanni Manghi

- Target version changed from Version 2.14 to Version 2.18

#9 - 2017-02-28 01:17 PM - Giovanni Manghi

- Crashes QGIS or corrupts data changed from No to Yes

#10 - 2017-04-30 05:08 PM - Giovanni Manghi

- Regression? set to Yes

#11 - 2017-04-30 05:08 PM - Giovanni Manghi

- Priority changed from Severe/Regression to High

#12 - 2017-05-01 01:10 AM - Giovanni Manghi

- Easy fix? set to No

#13 - 2017-05-11 01:37 PM - Alexander Bruy

- Status changed from Reopened to Feedback
- Description updated

Can't reproduce with latest 2.18 using attached sample data and native buffer and dissolve algorithms.

#14 - 2017-05-12 12:13 PM - Giovanni Manghi

- Status changed from Feedback to Closed

- Resolution set to fixed/implemented

Alexander Bruy wrote:

Can't reproduce with latest 2.18 using attached sample data and native buffer and dissolve algorithms.

confirmed, if some other tool is affected please reopen this one.

Files

portugal_continental_3763_1.zip 82 KB 2017-02-28 Giovanni Manghi

2025-04-27 3/3


